package com.fjs.scenic.utils;

/**
 * 畅游通订单状态
 * <pre>
 *  1、预付订单的状态
 *  2、申请退款的状态
 * </pre>
 */
public enum OTAOrderStatus {

    PRINT_FAILED("PREPAY_ORDER_PRINT_FAILED", "出票失败"),
    ORDER_PRINTING("PREPAY_ORDER_PRINTING", "出票中[已付款未出票] "),
    ORDER_SUCCESS("PREPAY_ORDER_PRINT_SUCCESS", "出票成功"),
    ORDER_CONSUMED("PREPAY_ORDER_CONSUMED", "已消费"),
    ORDER_REFUNDING("PREPAY_ORDER_REFUNDING", "申请退订中"),
    ORDER_REFUNDED("PREPAY_ORDER_REFUNDED", "已退订"),
    ORDER_REJECT("ORDER_REJECT", "拒绝退订"),
    APPROVE("APPROVE", "同意退款"),
    REJECT("REJECT", "拒绝退款");

    /** 状态值 */
    private String value;
    /** 状态描述 */
    private String describe;

    OTAOrderStatus(String value, String describe) {
        this.value = value;
        this.describe = describe;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
